using System;

namespace LunaLightXMG
{
    public class Utilities
    {
        private readonly Random random;

        public Utilities(int seed = 42)
        {
            random = new Random(seed);
        }

        public float RandomFromRange(float num1, float num2)
        {
            return (float)(num1 + (num2 - num1) * random.NextDouble());
        }
    }
}
